Subject: [Hipsec] Issues for draft-moskowitz-hip-08 further development

From: [email-masked] (Henderson, Thomas R)
Date: Fri Oct 31 12:12:02 2003

for what it's worth, I also agree with Julien's interpretation
and the proposed revised draft text (and I hazily remember,=20
when testing with Andrew in March, that one of us needed to=20
flip the keys because we had interpreted it differently).

However, regarding the last paragraph in section 9, it currently
states in a roundabout way that the HIP keys are only drawn=20
for "initial" case.  This could be more explicit.  That is, any=20
NES causes new ESP keys only to be drawn-- if an association wants=20
to change its HIP keys, it must restart the exchange by sending I1.

Suggested last paragraph rephrase:
"The four HIP keys are only drawn from KEYMAT during a HIP
I1->R2 exchange.  Subsequent rekeys using NES will only draw=20
the four ESP keys from KEYMAT.  Section 8.9 describes the rules
for reusing or regenerating KEYMAT based on the NES exchange."

=20